# I2DExICCProcessor Struct Reference

Inheritance diagram for I2DExICCProcessor:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | ConvertXYZToMonitorUsingPreview (const TMCPixelBucket *, const TMCPixelBucket *)=0
virtual MCCOMErr MCCOMAPI | ConvertXYZToPrinter (const TMCPixelBucket *, uint16, const TMCPixelBucket *[])=0
virtual MCCOMErr MCCOMAPI | ConvertInputToXYZ (uint16, const TMCPixelBucket *[], const TMCPixelBucket *)=0
virtual MCCOMErr MCCOMAPI | MapXYZColorsToPreviewSpace (const TMCPixelBucket *, const TMCPixelBucket *)=0
virtual MCCOMErr MCCOMAPI | ConvertPreviewToXYZ (uint16, const TMCPixelBucket *[], const TMCPixelBucket *)=0
virtual MCCOMErr MCCOMAPI | ConvertXYZToPreview (const TMCPixelBucket *, uint16, const TMCPixelBucket *[])=0
virtual MCCOMErr MCCOMAPI | ComputeGamutWarning (const TMCPixelBucket *, const TMCPixelBucket *)=0
virtual MCCOMErr MCCOMAPI | SetMonitorProfile (int8 *)=0
virtual MCCOMErr MCCOMAPI | SetPrinterProfile (int8 *)=0
virtual MCCOMErr MCCOMAPI | SetPreviewProfile (int8 *)=0
virtual MCCOMErr MCCOMAPI | SetInputProfile (int8 *)=0
virtual MCCOMErr MCCOMAPI | SetScreenPreviewTransform (EICRenderingIntent)=0
virtual MCCOMErr MCCOMAPI | SetToPreviewTransform (EICRenderingIntent)=0
virtual MCCOMErr MCCOMAPI | SetToPrinterTransform (EICRenderingIntent)=0
virtual MCCOMErr MCCOMAPI | SetGamutTransform (EICRenderingIntent)=0
virtual MCCOMErr MCCOMAPI | SetFromInputTransform (EICRenderingIntent)=0
virtual MCCOMErr MCCOMAPI | SetFromPreviewTransform (EICRenderingIntent)=0
virtual MCCOMErr MCCOMAPI | SetMapToPreviewTransform (EICRenderingIntent)=0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::ComputeGamutWarning | ( | const TMCPixelBucket * | ,
|  | const TMCPixelBucket * |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::ConvertInputToXYZ | ( | uint16 | ,
|  | const TMCPixelBucket * | [],
|  | const TMCPixelBucket * |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::ConvertPreviewToXYZ | ( | uint16 | ,
|  | const TMCPixelBucket * | [],
|  | const TMCPixelBucket * |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::ConvertXYZToMonitorUsingPreview | ( | const TMCPixelBucket * | ,
|  | const TMCPixelBucket * |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::ConvertXYZToPreview | ( | const TMCPixelBucket * | ,
|  | uint16 | ,
|  | const TMCPixelBucket * | [] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::ConvertXYZToPrinter | ( | const TMCPixelBucket * | ,
|  | uint16 | ,
|  | const TMCPixelBucket * | [] |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::MapXYZColorsToPreviewSpace | ( | const TMCPixelBucket * | ,
|  | const TMCPixelBucket * |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetFromInputTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetFromPreviewTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetGamutTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetInputProfile | ( | int8 * |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetMapToPreviewTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetMonitorProfile | ( | int8 * |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetPreviewProfile | ( | int8 * |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetPrinterProfile | ( | int8 * |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetScreenPreviewTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetToPreviewTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExICCProcessor::SetToPrinterTransform | ( | EICRenderingIntent |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I2DExICCProcessor.h